Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1361805

Summary: For GSM modems need show "access tech"
Product: [Fedora] Fedora Reporter: Mikhail <mikhail.v.gavrilov>
Component: NetworkManagerAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: dcbw, fgiudici, lkundrak
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-29 11:50:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mikhail 2016-07-30 17:31:33 UTC
Description of problem:
For GSM modems need show "access tech", because 4G modems not always work as 4G modems. And this information would give an understanding why it is so.

[mikhail@localhost ~]$ mmcli -L

Found 1 modems:
	/org/freedesktop/ModemManager1/Modem/16 [huawei] MegaFon M150-2

[mikhail@localhost ~]$ mmcli -m 16 --simple-status -v
[30 июл 2016, 22:12:15] [Debug] ModemManager process found at ':1.6'
[30 июл 2016, 22:12:15] [Debug] Assuming '16' is the modem index
[30 июл 2016, 22:12:15] [Debug] Modem found at '/org/freedesktop/ModemManager1/Modem/16'

[30 июл 2016, 22:12:15] [Debug] Synchronously getting status from the modem...

/org/freedesktop/ModemManager1/Modem/16
  -------------------------
  Status |          state: 'connected'
         | signal quality: '70' (recent)
         |          bands: 'unknown'
         |    access tech: 'edge'
  -------------------------
  3GPP   |   registration: 'home'
         |  operator code: 'unknown'
         |  operator name: 'MegaFon'
         |   subscription: 'unknown'

Comment 1 Fedora End Of Life 2018-05-03 08:37:52 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 11:50:49 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.